Salsa20_Policy Class Reference

Salsa20 stream cipher operation. More...

Inheritance diagram for Salsa20_Policy:

## Additional Inherited Members

Public Types inherited from AdditiveCipherConcretePolicy< word32, 16 >
typedef word32 | WordType
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 16 >
unsigned int | GetAlignment () const
| Provides data alignment requirements. More...
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration. More...
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations. More...
bool | CanOperateKeystream () const
| Flag indicating. More...
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual unsigned int | GetOptimalBlockSize () const
| Provides number of ideal bytes to process. More...
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream. More...
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 16 >
static const int | BYTES_PER_ITERATION

## Detailed Description

Salsa20 stream cipher operation.

Definition at line 30 of file salsa.h.

The documentation for this class was generated from the following files:

- salsa.h
- salsa.cpp